summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 27225f2)
raw | patch | inline | side by side (parent: 27225f2)
author | Jan Harkes <jaharkes@cs.cmu.edu> | |
Mon, 27 Jun 2005 00:38:47 +0000 (17:38 -0700) | ||
committer | Linus Torvalds <torvalds@ppc970.osdl.org> | |
Mon, 27 Jun 2005 00:38:47 +0000 (17:38 -0700) |
Here is a script to simplify validating the gpg signature created by
git-tag-script. Might be useful to add to the git tree so that people
don't have to search for the right post in the git mailinglist archives
git-tag-script. Might be useful to add to the git tree so that people
don't have to search for the right post in the git mailinglist archives
git-verify-tag-script | [new file with mode: 0755] | patch | blob |
diff --git a/git-verify-tag-script b/git-verify-tag-script
--- /dev/null
+++ b/git-verify-tag-script
@@ -0,0 +1,9 @@
+#!/bin/sh
+GIT_DIR=${GIT_DIR:-.git}
+
+tag=$1
+[ -f "$GIT_DIR/refs/tags/$tag" ] && tag=$(cat "$GIT_DIR/refs/tags/$tag")
+
+git-cat-file tag $tag > .tmp-vtag || exit 1
+cat .tmp-vtag | sed '/-----BEGIN PGP/Q' | gpg --verify .tmp-vtag -
+rm -f .tmp-vtag